/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PROPSERVICO                                              */
/* Tabela : PROPSERVICO                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PROPSERVICO' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PROPSERVICO
GO

CREATE TRIGGER DTULTATU_PROPSERVICO
ON PROPSERVICO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PROPSERVICO', null, 'CDSERVICO='+ CDSERVICO+ ';'+
                                          'QTPAXDE=' + CONVERT(CHAR,QTPAXDE,103) + ';'+
                                          'QTPAXATE='+ CONVERT(CHAR,QTPAXATE,103)+ ';'+
                                          'CDFILIAL='+ CDFILIAL+ ';'+
                                          'CDCIA='   + CDCIA   + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PROPSERVICO
      SET DTULTATUPSRV = GETDATE()
      FROM INSERTED;
   END;
END;
GO

